Bug 520708 - D-Bus crash in GConf get_ior() call
Summary: D-Bus crash in GConf get_ior() call
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9541154c34d5b3e44fddd70a0dd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 20:49 UTC by Saikat Guha
Modified: 2010-12-05 06:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:30:36 UTC


Attachments (Terms of Use)
File: backtrace (6.98 KB, text/plain)
2009-09-01 20:49 UTC, Saikat Guha
no flags Details

Description Saikat Guha 2009-09-01 20:49:55 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
Clicked on clock applet

Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/libexec/evolution-data-server-2.28 --oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_CalFactory:1.2 --oaf-ior-fd=22 


component
-----
evolution-data-server


executable
-----
/usr/libexec/evolution-data-server-2.28


kernel
-----
2.6.31-0.190.rc8.fc12.x86_64


package
-----
evolution-data-server-2.27.91-1.fc12


reason
-----
Process was terminated by signal 11

Comment 1 Saikat Guha 2009-09-01 20:49:58 UTC
Created attachment 359447 [details]
File: backtrace

Comment 2 Matthew Barnes 2009-09-02 03:54:46 UTC
Stacktrace shows the crash in D-Bus as a result of a GConf call.  Reassigning to GConf.  In the meantime can you please install debugging symbols for libdbus and try to capture a more complete backtrace?

Comment 3 Bug Zapper 2009-11-16 11:54:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Ray Strode [halfline] 2010-07-06 21:55:10 UTC
There's an upstream bug about this but I don't know it off hand.  This was an evolution issue where it wasn't properly locking around gconf calls.  I think it's fixed now, but not in f12.

Comment 5 Bug Zapper 2010-11-04 10:15:50 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:30:36 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.